"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"  File managed by Salt at <{{ source }}>.
"  Your changes will be overwritten.
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

" Vimwiki
" -------

{% set wiki_names = {} -%}
{%- set wikis = neovim.get('wikis', {}) -%}
{%- if wikis -%}
{%- for wiki, data in neovim.wikis.items() %}
let {{ wiki }} = {}
{%- for key, value in data.items() %}
{%- if key == "position" %}
{%- set _dummy = wiki_names.update({value: wiki}) -%}
{%- else -%}
{%- if value is string %}
let {{ wiki }}.{{ key }} = '{{ value }}'
{% else %}
let {{ wiki }}.{{ key }} = {{ value }}
{% endif -%}
{% endif -%}
{% endfor -%}
{% endfor -%}
{% endif %}

let g:vimwiki_list = [
{%- for position, wiki in wiki_names|dictsort -%}
{{ wiki }}{% if loop.last %}{% else %}, {% endif %}
{%- endfor -%}
]

" Don't use tab in insert mode (so snippets work)
let g:vimwiki_key_mappings = { 'table_mappings': 0, }
